View a [managed folder](https://docs.cloud.google.com/storage/docs/managed-folders.md.txt) within a bucket.

## Required permissions

The authenticated user must have the `storage.managedfolders.get`
IAM permission to use this method.

## Request

### HTTP request

```
GET https://storage.googleapis.com/storage/v1/b/bucket/managedFolders/managedFolder
```

In addition to [standard query parameters](https://docs.cloud.google.com/storage/docs/json_api/v1/parameters.md.txt#query),
the following parameters apply to this method.

To see an example of how to include query parameters in a request, see the
[JSON API Overview](https://docs.cloud.google.com/storage/docs/json_api.md.txt#query_parameters) page.

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `bucket` | `string` | The parent bucket of the managed folder. |
| `managedFolder` | `string` | The name of the managed folder, expressed as a path. For example, `example-dir`. If the managed folder is nested (for example, `example-dir1/example-dir2`), the `/` character in the managed folder path must be escaped. For example, `example-dir1%2Fexample-dir2`. |
| **Optional query parameters** |||
| `ifMetagenerationMatch` | `long` | If set, the method returns the managed folder if its metageneration matches this value. |
| `ifMetagenerationNotMatch` | `long` | If set, the method returns the managed folder if its metageneration does not match this value. |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a
[ManagedFolder resource](https://docs.cloud.google.com/storage/docs/json_api/v1/managedFolder.md.txt) in the response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.